#pragma once
#include "Action.h"


namespace et{
	class SpecialAction : public Action
	{
		int m_skillID;
	public:
		SpecialAction(et::BattlerFacade* pBattler , et::BattlerFacade* pTarget , int cost , int skillID);
		SpecialAction(et::BattlerFacade* pBattler , std::vector<et::BattlerFacade*>& targetList , int cost , int skillID);
		virtual ~SpecialAction(void);
		virtual int doActionTo(et::BattlerFacade* pTarget);
		virtual mof::AnimationResource createApproachAnimation();
		virtual mof::AnimationResource createExecuteAnimation();
		virtual mof::tstring getActionMessage();

		virtual mof::GraphicsSchedule* createEffect(et::Common& common);
	};


}